From: Angus Ainslie <angus@akkea.ca>
Date: Fri, 20 Nov 2020 09:18:41 -0800
Subject: arm64: config: librem5: Use the updated Redpine vendor driver

Signed-off-by: Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>
Signed-off-by: Angus Ainslie <angus@akkea.ca>
---
 arch/arm64/configs/librem5_defconfig | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

diff --git a/arch/arm64/configs/librem5_defconfig b/arch/arm64/configs/librem5_defconfig
index dcd96d7..3bbf59c 100644
--- a/arch/arm64/configs/librem5_defconfig
+++ b/arch/arm64/configs/librem5_defconfig
@@ -499,14 +499,12 @@ CONFIG_MWIFIEX_USB=m
 # CONFIG_WLAN_VENDOR_REALTEK is not set
 CONFIG_RSI_91X=m
 # CONFIG_RSI_USB is not set
-CONFIG_RSI_PURISM=y
 CONFIG_REDPINE_91X=m
+CONFIG_RS9116_PURISM=y
+CONFIG_REDPINE_LOAD_FW_FROM_FLASH_ONLY=y
+CONFIG_RS9116_FLASH_MODE=y
 # CONFIG_REDPINE_USB is not set
-CONFIG_REDPINE_BT_ALONE=y
 CONFIG_REDPINE_COEX_MODE=y
-CONFIG_REDPINE_WOW=y
-CONFIG_HW_SCAN_OFFLOAD=y
-CONFIG_REDPINE_PURISM=y
 # CONFIG_WLAN_VENDOR_ST is not set
 # CONFIG_WLAN_VENDOR_TI is not set
 # CONFIG_WLAN_VENDOR_ZYDAS is not set
